petsc-3.7.7 2017-09-25
Report Typos and Errors

# PCFactorSetShiftType

adds a particular type of quantity to the diagonal of the matrix during numerical factorization, thus the matrix has nonzero pivots

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCFactorSetShiftType(PC pc,MatFactorShiftType shifttype)

Logically Collective on PC

### Input Parameters

| pc | - the preconditioner context
| shifttype | - type of shift; one of MAT_SHIFT_NONE, MAT_SHIFT_NONZERO, MAT_SHIFT_POSITIVE_DEFINITE, MAT_SHIFT_INBLOCKS

### Options Database Key

-pc_factor_shift_type <shifttype> -Sets shift type or PETSC_DECIDE for the default; use '-help' for a list of available types

### Keywords

PC, set, factorization,

### See Also

PCFactorSetZeroPivot(), PCFactorSetShiftAmount()

Level:intermediate
Location:src/ksp/pc/impls/factor/factor.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/pc/examples/tutorials/ex1.c.html
src/ksp/pc/examples/tutorials/ex2.c.html